Подключение МФУ Canon MF231 (простое решение)

Всё о принтерах, сканерах и многофункциональных устройствах. Подключение, настройка, проблемы.

Модератор: Модераторы разделов

Аватара пользователя
fed71
Сообщения: 2480
ОС: Ubuntu

Подключение МФУ Canon MF231

Сообщение fed71 »

Для офиса были приобретены МФУ Canon MF231.
Подключение к LinuxMint 18.3/19 проблем не вызвало. Думаю для Ubuntu 18.04 будет аналогично.

Принтер
Заходим на сайт производителя, выбираем и скачиваем подходящий драйвер.

https://www.canon.ru/support/consumer_products/products/fax__multifunctionals/laser/laserbase_mf_series/i-sensys_mf231.aspx?type=drivers&language=&os=Linux%20(64-bit)

Скачаный архив распаковывается. В терминале под рутом запустить файл установки install.sh.
Установщик всё настроит и даже предложит зарегистрировать девайс в системе.

Сканер
Для работы требуется наличие sane версии 1.0.27. В LinuxMint 19 и Ubuntu 18.04 проблем нет - sane требуемой версии уже в наличии.
Для остальных нужно будет прописать репозиторий PPA sane.

Код: Выделить всё

sudo add-apt-repository ppa:rolfbensch/sane-git
sudo apt-get update
И обновить саму sane
Собственно и всё.
Я не знаю кто я. Не помню ни серии своей, ни инвентарного номера...

Мой блог http://fed71.livejournal.com
Спасибо сказали:

Аватара пользователя
lone_wolf
Сообщения: 204

Re: Подключение МФУ Canon MF231

Сообщение lone_wolf »

Спасибо добрый человек, только вчера задумался о поиске железки работающей под linux
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 18783
Статус: ✡ иностранный агент
ОС: Debian GNU/Linux

Re: Подключение МФУ Canon MF231

Сообщение Bizdelnick »

lone_wolf, и всё же с Canon связываться — последнее дело. Если речь о выборе железки под систему, а не о том, чтобы завести конкретную железку любой ценой, лучше посмотреть в сторону других производителей (заметьте, я не сказал «HP»).
Пишите правильно:
в консоли
вку́пе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Аватара пользователя
lone_wolf
Сообщения: 204

Re: Подключение МФУ Canon MF231

Сообщение lone_wolf »

Bizdelnick Как ни странно вчера покупал сотруднику МФУ. И наши поставщики (работаем более 13 лет с ними) ребята занимаются ремонтом и обслуживанием офисной оргтехники (принтера, сканеры, МФУ и т.д.) Мне посоветовали МФУ Canon MF3010 как железку которая будет работать ближайшие лет 10 (естественно с мелким ремонтом, в виде замены роликов и т.д.)
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 18783
Статус: ✡ иностранный агент
ОС: Debian GNU/Linux

Re: Подключение МФУ Canon MF231

Сообщение Bizdelnick »

lone_wolf писал:
07.09.2018 16:04
И наши поставщики (работаем более 13 лет с ними) ребята занимаются ремонтом и обслуживанием офисной оргтехники (принтера, сканеры, МФУ и т.д.) Мне посоветовали МФУ Canon MF3010 как железку которая будет работать ближайшие лет 10 (естественно с мелким ремонтом, в виде замены роликов и т.д.)
Так я не говорю, что у них железки плохие. Поддержка линуксов у них плохая. Вон какой-то install.sh — Вы смотрели, что он вытворяет? Если у кого-то всё завелось, это ещё не значит, что оно будет нормально ехать. Может какой-нибудь демон начать падать и/или подвисать, может всё отвалится после обновления системы, а может что-то совсем, казалось бы, не связанное в системе сломается. Я не фантазирую, это всё личный печальный опыт.
Пишите правильно:
в консоли
вку́пе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Аватара пользователя
lone_wolf
Сообщения: 204

Re: Подключение МФУ Canon MF231

Сообщение lone_wolf »

Bizdelnick писал:
07.09.2018 16:18
Так я не говорю, что у них железки плохие. Поддержка линуксов у них плохая. Вон какой-то install.sh — Вы смотрели, что он вытворяет? Если у кого-то всё завелось, это ещё не значит, что оно будет нормально ехать. Может какой-нибудь демон начать падать и/или подвисать, может всё отвалится после обновления системы, а может что-то совсем, казалось бы, не связанное в системе сломается. Я не фантазирую, это всё личный печальный опыт.
не ну с этим согласен, у меня опыта заводить МФУ/Сканеры/Принтеры в linux нету. Но пятая точка просит приключений в этой области + экономия денег на софте, и это можно в филиалах применить, и начальство довольно и мне лишний опыт не помешает. Хорошо из личного опыта в сторону каких вендоров стоит поглядывать?
HP да ребята серьёзные имел дело уже с легендарной моделью HP5100 (2 апарата) живы до сих пор. Сейчас имею HP m604dn тоже апарат хороший. Так же юзал Canon LBP2900, HP1018 и HP1300 тоже апараты простенькие но надежные. Но это всё под окнами :(
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 18783
Статус: ✡ иностранный агент
ОС: Debian GNU/Linux

Re: Подключение МФУ Canon MF231

Сообщение Bizdelnick »

lone_wolf писал:
07.09.2018 16:30
Хорошо из личного опыта в сторону каких вендоров стоит поглядывать?
Вот положительного опыта, увы, не так много. Как понял, что с HP проблем практически не бывает, так у них и беру. Хотя, судя по отзывам, и у других производителей всё не так уж плохо (Samsung, Brother, Kyocera…), но рекомендовать их не могу, потому как сам опыта не имел. Ну и не админ я, чтобы через меня много разного железа проходило.
Вообще хороший способ — поиск по форуму. Если он ничего не даст, значит проблем с производителем нет. ☺
Пишите правильно:
в консоли
вку́пе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Аватара пользователя
fed71
Сообщения: 2480
ОС: Ubuntu

Re: Подключение МФУ Canon MF231

Сообщение fed71 »

Bizdelnick писал:
07.09.2018 16:18
это всё личный печальный опыт.
Действительно, какой-то печальный опыт...
Учитывая, что НР свалило из России, приличная и недорогая техника более чем актуальна. И Canon тут вполне вписывается.
У нас давно работает MG2440 и теперь вот MF231. Интенсивность работы очень высока. Подключение к каждому принтеру по USB (основной) и ещё 1-2 по сети. Нареканий нет. Все обновления системы ставятся регулярно.
И чем так смущает install.sh? Вполне распространённая практика производителей в отношении Линукса. Своё дело он делает и мне непонятен скептицизм в этом отношении.
Я не знаю кто я. Не помню ни серии своей, ни инвентарного номера...

Мой блог http://fed71.livejournal.com
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 18783
Статус: ✡ иностранный агент
ОС: Debian GNU/Linux

Re: Подключение МФУ Canon MF231

Сообщение Bizdelnick »

fed71 писал:
07.09.2018 16:42
И чем так смущает install.sh?
Да всем. Скачал вот, глянул — всё то же, с чем я имел дело раньше, внутри пакеты rpm и deb. Каким образом скрипт решает, что ему ставить? Очень просто:

Код: Выделить всё

if which rpm > /dev/null 2>&1;
then
<...>
Круто. Вот в той самой системе, с которой я сейчас пишу, эта проверка вернёт истину, хотя это Debian. Ну поставил я себе rpm, нужен он мне для работы. А ещё автор скрипта определённо не в курсе, что в некоторых дистрибутивах (не будем показывать пальцем) which всегда возвращает 0. В данном случае это не страшно, потому что по совпадению именно эти дистрибутивы — rpm-based, но мало ли где там ещё подобные проверки могут встретиться, — я весь скрипт не смотрел. Я его только открыл и проверил первое, что мне пришло в голову.
А что же мы видим в самих пакетах, которые лежат в "64-bit_Driver"?

Shell

% file usr/bin/*
usr/bin/c3pldrv: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked, interpreter /lib/ld-linux.so.2, for GNU/Linux 2.2.5, stripped
usr/bin/cngplp: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.0, stripped
usr/bin/cnjatool: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.0, stripped
usr/bin/cnpkbidi: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked, interpreter /lib/ld-linux.so.2, for GNU/Linux 2.6.9, stripped
usr/bin/cnpkmoduleufr2: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked, interpreter /lib/ld-linux.so.2, for GNU/Linux 2.6.9, stripped
usr/bin/cnsetuputil: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.0, stripped
Гениально! Ровно половина блобов — 32-битные. Так же, как и раньше, хотя я надеялся, что за столько лет Canon мог бы исправиться. Помнится, поскольку эти блобы требуют библиотеки, которые в зависимостях пакета не прописаны, мне пришлось делать из системы multiarch, посредством ldd искать, какие библиотеки нужны, и доустанавливать соответствующие пакеты вручную. Развлекалово то ещё. Возможно, то же самое должен делать означенный install.sh, но запускать его после увиденного никакого желания ни сейчас нет, ни тогда не возникло.
Пишите правильно:
в консоли
вку́пе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Аватара пользователя
lone_wolf
Сообщения: 204

Re: Подключение МФУ Canon MF231

Сообщение lone_wolf »

Bizdelnick писал:
07.09.2018 17:21
Помнится, поскольку эти блобы требуют библиотеки, которые в зависимостях пакета не прописаны, мне пришлось делать из системы multiarch, посредством ldd искать, какие библиотеки нужны, и доустанавливать соответствующие пакеты вручную.
Так в архиве же есть в папке с документацией pdf где сказано что нужно доустановить (подробно не смотрел, бегло пробежался глазами)
Спасибо сказали:

Аватара пользователя
fed71
Сообщения: 2480
ОС: Ubuntu

Re: Подключение МФУ Canon MF231

Сообщение fed71 »

При установке нужное докачивается автоматом.
И ИМХО - излишняя академичность тут ненужна. Всё ставится и работает. Есть альтернативные предложения драйверов Canon? Готов выслушать.
Купить "что другое" не предлагать - работаем на том, что есть.
Я не знаю кто я. Не помню ни серии своей, ни инвентарного номера...

Мой блог http://fed71.livejournal.com
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 18783
Статус: ✡ иностранный агент
ОС: Debian GNU/Linux

Re: Подключение МФУ Canon MF231

Сообщение Bizdelnick »

lone_wolf писал:
07.09.2018 17:30
Так в архиве же есть в папке с документацией pdf где сказано что нужно доустановить (подробно не смотрел, бегло пробежался глазами)
Даже в голову не пришло искать какие-то pdf, до того привык, что в пакетах нормально прописаны зависимости. В данном случае это, конечно, невозможно, потому что раз пакет имеет архитектуру amd64, указать зависимость от пакета архитектуры i386 в принципе нельзя. Просто не собирают нормальные люди таких пакетов. Кроме как вопиющей некомпетентностью сборщика такое положение дел объяснить нечем.
Upd. Впрочем нет, официальную документацию я читал, и о ней тоже ничего хорошего сказать не могу: [Решено] Canon LBP2900 на Debian wheezy amd64. А вот пруф падучести/зависучести их софта: Костыль для принтеров Canon LBP 2900, 3000, 5000 и подобных.
Пишите правильно:
в консоли
вку́пе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 18783
Статус: ✡ иностранный агент
ОС: Debian GNU/Linux

Re: Подключение МФУ Canon MF231

Сообщение Bizdelnick »

fed71 писал:
08.09.2018 17:09
Есть альтернативные предложения драйверов Canon? Готов выслушать.
Своё предложение я изложил выше:
Bizdelnick писал:
07.09.2018 15:28
Если речь о выборе железки под систему, а не о том, чтобы завести конкретную железку любой ценой, лучше посмотреть в сторону других производителей
Пишите правильно:
в консоли
вку́пе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали: